<template>
    <div class="content row card-group">
        <div class="container" style="display: block;">
            <h1 style="display: block;">Digital Product Passport</h1>
            <h2>Total Carbon Footprint of Roller: 1.571,58 kg</h2>
        </div>
        <!--  CO2 CARD Manufacturer  -->
        <div class=" col">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Manufacturer</h5>
                    <h6 class="card-subtitle mb-2 text-muted">Carbon Footprint details of the manufacturer</h6>
                    <p class="card-text">
                        <JsonTreeView :data="this.msg1" />
                    </p>
                </div>
            </div>
        </div>
        <!--  CO2 CARD Transporter  -->
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Transport</h5>
                    <h6 class="card-subtitle mb-2 text-muted">Carbon Footprint details of the transporter</h6>
                    <p class="card-text">
                        <JsonTreeView :data="this.msg2" />
                    </p>
                </div>
            </div>
        </div>
        <!--  CO2 CARD User  -->
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Usage</h5>
                    <h6 class="card-subtitle mb-2 text-muted">Carbon Footprint details of the roller usage</h6>
                    <p class="card-text">
                        <JsonTreeView :data="this.msg3" />
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div>

    </div>
</template>


<style scoped>
.card-title {
    color: rgb(98, 98, 241);
}

#nav {
    padding: 0.1rem;
    text-align: center;
}

.card {
    width: auto;
    margin: 1rem;
    display: flex;
}
</style>


    
<script>
import axios from 'axios';
import { JsonTreeView } from "json-tree-view-vue3";

export default {
    name: 'DPP',
    data() {
        return {
            msg1: JSON.stringify({ "msg": '1. No message yet' }),
            msg2: JSON.stringify({ "msg": '2. No message yet' }),
            msg3: JSON.stringify({ "msg": '3. No message yet' }),
        };
    },
    components: { JsonTreeView },
    methods: {
        getMessage() {
            const path = 'http://localhost:5001/product/test?identifier=urn:aas:techx:asset:Roller-0000';
            axios.get(path)
                .then((res) => {
                    this.msg1 = JSON.stringify(res.data['short_version']['artifacts']['A1-A3'])
                    this.msg2 = JSON.stringify(res.data['short_version']['artifacts']['A4'])
                    this.msg3 = JSON.stringify(res.data['short_version']['artifacts']['B1'])
                })
                .catch((error) => {

                    console.error(error);
                });
        },
    },
    created() {
        this.getMessage();
    },
};
</script>